from sys import exit

#PHF7CA7E9VC2RHQ,PHFGE1AM0UC2U41 - transformed
#PHFGE1AM0UC2U41,PHF7CA7E9VC2RHQ -original

lines = open('playerNetwork.csv','r').readlines()#[1:]
#lines = open('playerNetworkOriginal.csv','r').readlines()[1:]

players = set()
selfLoops = set()   # Only distinct self-loops
links     = set()   # Just unique, non-self links (includes A,B)
NRLinFile = set()   # all distinct lines in file (includes A,B and B,A and A,A)
NRNSLinFile = set() # all distinct non-self-loops in file (inludes A,B and B,A)

linkDict = {}

for line in lines:
	data = line.strip().split(',')
	players.add(data[0])
	players.add(data[1])
	NRLinFile.add(data[0]+','+data[1])
	if data[0] == data[1]:
		selfLoops.add(data[0]+','+data[1])
	else:
		NRNSLinFile.add(data[0]+','+data[1])
		linkStr = data[0]+','+data[1]
		links.add(linkStr)
		if linkStr in linkDict:
			linkDict[linkStr] += 1
		else:
			linkDict[linkStr] = 0


maxLinks = 0
for key in linkDict:
	if linkDict[key] > maxLinks:
		maxLinks = linkDit[key]

print 'Total players:',len(players)
print 'Lines in file:',len(lines)
print 'Distinct lines:',len(NRLinFile)
print 'self-loops:',len(selfLoops)
print 'lines that aren\'t self loops:',len(NRNSLinFile)
print '======='
print 'Sanity Check:', len(NRLinFile), '-', len(selfLoops), '-', len(NRNSLinFile), '=', len(NRLinFile)-len(selfLoops)-len(NRNSLinFile)
print '======='
print 'Total non-repeated, unidirectional links:',len(links)
print '======='
print 'Repeated Links:', len(NRNSLinFile), '-', len(links), '=', len(NRNSLinFile)-len(links)
print '======='
print 'Greatest number of repeated links:',maxLinks

outfile = open('newPlayerNetwork.csv','w')
[outfile.write(link+'\n') for link in links]
outfile.close()
